import type { UpdateArtifactsConfig } from '../types';
export declare function getPythonConstraint(config: UpdateArtifactsConfig): string | undefined | null;
export declare function getPipToolsConstraint(config: UpdateArtifactsConfig): string;
export declare const constraintLineRegex: RegExp;
export declare const allowedPipArguments: string[];
